Package org.apache.calcite.avatica

## Class Meta.Signature

- java.lang.Object
- - org.apache.calcite.avatica.Meta.Signature

Enclosing interface:
  Meta

    public static class Meta.Signature
    extends java.lang.Object

Result of preparing a statement.

### Field Summary

Fields
`java.util.List<ColumnMetaData>` `columns`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `CURSOR_FACTORY_DESCRIPTOR`
`Meta.CursorFactory` `cursorFactory`
`java.util.Map<java.lang.String,​java.lang.Object>` `internalParameters`
`java.util.List<AvaticaParameter>` `parameters`
`java.lang.String` `sql`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `SQL_DESCRIPTOR`
`Meta.StatementType` `statementType`

### Constructor Summary

Constructors
`Signature​(java.util.List<ColumnMetaData> columns, java.lang.String sql, java.util.List<AvaticaParameter> parameters, java.util.Map<java.lang.String,​java.lang.Object> internalParameters, Meta.CursorFactory cursorFactory, Meta.StatementType statementType)` Creates a Signature.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Meta.Signature` `create​(java.util.List<ColumnMetaData> columns, java.lang.String sql, java.util.List<AvaticaParameter> parameters, Meta.CursorFactory cursorFactory, Meta.StatementType statementType)` Used by Jackson to create a Signature by de-serializing JSON.
`boolean` `equals​(java.lang.Object o)`
`static Meta.Signature` `fromProto​(Common.Signature protoSignature)`
`int` `hashCode()`
`Meta.Signature` `sanitize()` Creates a copy of this Signature with null lists and maps converted to empty.
`private <E> java.util.List<E>` `sanitize​(java.util.List<E> list)`
`private <K,​V> java.util.Map<K,​V>` `sanitize​(java.util.Map<K,​V> map)`
`Meta.Signature` `setCursorFactory​(Meta.CursorFactory cursorFactory)` Returns a copy of this Signature, substituting given CursorFactory.
`Common.Signature` `toProto()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SQL_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor SQL_DESCRIPTOR

#### CURSOR_FACTORY_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor CURSOR_FACTORY_DESCRIPTOR

#### columns

    public final java.util.List<ColumnMetaData> columns

#### sql

    public final java.lang.String sql

#### parameters

    public final java.util.List<AvaticaParameter> parameters

#### internalParameters

    public final transient java.util.Map<java.lang.String,​java.lang.Object> internalParameters

#### cursorFactory

    public final Meta.CursorFactory cursorFactory

#### statementType

    public final Meta.StatementType statementType

### Constructor Detail

#### Signature

    public Signature​(java.util.List<ColumnMetaData> columns,
                     java.lang.String sql,
                     java.util.List<AvaticaParameter> parameters,
                     java.util.Map<java.lang.String,​java.lang.Object> internalParameters,
                     Meta.CursorFactory cursorFactory,
                     Meta.StatementType statementType)

Creates a Signature.

### Method Detail

#### create

    public static Meta.Signature create​(java.util.List<ColumnMetaData> columns,
                                        java.lang.String sql,
                                        java.util.List<AvaticaParameter> parameters,
                                        Meta.CursorFactory cursorFactory,
                                        Meta.StatementType statementType)

Used by Jackson to create a Signature by de-serializing JSON.

#### setCursorFactory

    public Meta.Signature setCursorFactory​(Meta.CursorFactory cursorFactory)

Returns a copy of this Signature, substituting given CursorFactory.

#### sanitize

    public Meta.Signature sanitize()

Creates a copy of this Signature with null lists and maps converted to empty.

#### sanitize

    private <E> java.util.List<E> sanitize​(java.util.List<E> list)

#### sanitize

    private <K,​V> java.util.Map<K,​V> sanitize​(java.util.Map<K,​V> map)

#### toProto

    public Common.Signature toProto()

#### fromProto

    public static Meta.Signature fromProto​(Common.Signature protoSignature)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`